KISSUTIL(1)

NAME
kissutil - KISS TNC troubleshooting and Application Interface.

SYNOPSIS
kissutil [ options ]

DESCRIPTION
kissutil can be used interactively for troubleshooting a KISS TNC. It is usable with direwolf and other generic KISS TNCs connected to a serial port. It can also be used as an application interface where each side places files in a directory for the other to process. See User Guide for more details.

OPTIONS

-h host
    Hostname or IP address for a TCP KISS TNC. Default is localhost.

-p port
    A number may be specified for a TCP port other than the default 8001. If not a number, it is considered to be a serial port name such as /dev/ttyS0 or COM3.

-s speed
    Speed for serial port. e.g. 9600.

-o rec-directory
    For each received frame, a new file is created here. It is expected that some other application will process files in this directory then delete them.

-T format
    Each received frame will be preceded by a timestamp in the specified format. See strftime documentation for a description of the format string. Example: %H:%M:%S for current time in hours, minutes, seconds.

-f xmit-directory
    Files in this directory are transmitted and deleted. Another application places a file here when it wants something to be transmitted.

-v  Verbose - Display the KISS frames going to and from the TNC.

SEE ALSO
More detailed information is in the pdf files in /usr/local/share/doc/direwolf, or possibly /usr/share/doc/direwolf, depending on installation location. Applications in this package: aclients, atest, decode_aprs, direwolf, gen_packets, kissutil, ll2utm, log2gpx, text2tt, tt2text, utm2ll